Summary: A set of GNU utilities commonly used in shell scripts.
%define name sh-utils
%define unixroot /usr
%define version 2.0
%define __infodir /usr/share/info
Name: %{name}
Version: %{version}
Release: 4
Copyright: GPL
Group: System Environment/Shells
Vendor: OS/2 RPM project
URL:   http://www2s.biglobe.ne.jp/~vtgf3mpr/indxos2.htm
Buildroot: /tmp/%{name}-root
Docdir: %{unixroot}/share/doc
Prereq: %{unixroot}/bin/install-info.exe

Source: ftp://ftp.gnu.org/pub/gnu/sh-utils/sh-utils-%{version}.tar.gz
SOURCE1: %{name}-%{version}-OS2-patch.zip
# RMS will never accept the PAM patch because it removes his historical
# rant about Twenex and the wheel group, so we'll continue to maintain
# it here indefinitely.

# XXX generate per-os macro to test
%{expand: %%global this_os_is_%{_os} %%{nil}}
%ifos linux
Requires: pam >= 0.66-12, /etc/pam.d/system-auth
%endif


%description
The GNU shell utilities are a set of useful system utilities which are
often used in shell scripts.  The sh-utils package includes basename
(to remove the path prefix from a specified pathname), chroot (to
change the root directory), date (to print/set the system time and
date), dirname (to remove the last level or the filename from a given
path), echo (to print a line of text), env (to display/modify the
environment), expr (to evaluate expressions), factor (to print prime
factors), false (to return an unsuccessful exit status), groups (to
print the groups a specified user is a member of), id (to print the
real/effective uid/gid), logname (to print the current login name),
nice (to modify a scheduling priority), nohup (to allow a command to
continue running after logging out), pathchk (to check a file name's
portability), printenv (to print environment variables), printf (to
format and print data), pwd (to print the current directory), seq (to
print numeric sequences), sleep (to suspend execution for a specified
time), stty (to print/change terminal settings), su (to become another
user or the superuser), tee (to send output to multiple files), test
(to evaluate an expression), true (to return a successful exit
status), tty (to print the terminal name), uname (to print system
information), users (to print current users' names), who (to print a
list of the users who are currently logged in), whoami (to print the
effective user id), and yes (to print a string indefinitely).

%prep
%setup -q
unzip -o %{SOURCE1}
unzip -o OS2patch

%build
os2config %{unixroot} intl
make
%install
rm -rf ${RPM_BUILD_ROOT}
make install prefix=$RPM_BUILD_ROOT%{unixroot} mandir=$RPM_BUILD_ROOT%{unixroot}/share/man\
  infodir=$RPM_BUILD_ROOT%{unixroot}/share/info
mkdir -p $RPM_BUILD_ROOT%{unixroot}/src/redhat/SOURCES
mkdir -p $RPM_BUILD_ROOT%{unixroot}/dll
cp intl/*.dll lib/*.dll $RPM_BUILD_ROOT%{unixroot}/dll/
cp %{SOURCE1} $RPM_BUILD_ROOT%{unixroot}/src/redhat/SOURCES/
mkdir -p $RPM_BUILD_ROOT%{unixroot}/src/redhat/SPECS
cp $RPM_SOURCE_DIR/../SPECS/%{name}-%{version}-os2.spec $RPM_BUILD_ROOT%{unixroot}/src/redhat/SPECS/
gzip -9nf $RPM_BUILD_ROOT%{__infodir}/%{name}.info*


%clean
rm -rf ${RPM_BUILD_ROOT}

%post
install-info %{__infodir}/%{name}.info.gz %{__infodir}/dir

%preun
if [ $1 = 0 ]; then
   install-info --delete %{__infodir}/%{name}.info.gz %{__infodir}/dir
fi

%files
#%defattr(-,root,root)
%doc NEWS README *.os2
%{unixroot}/bin/*
%{unixroot}/dll/*.dll
%{unixroot}/share/info/sh*.info*
%{unixroot}/share/man/*/*
%{unixroot}/share/locale/*/*/*
%{unixroot}/src/redhat/SPECS/%{name}-%{version}-os2.spec
%{unixroot}/src/redhat/SOURCES/%{name}-%{version}-OS2-patch.zip


%changelog
* Tue Oct  9 2001 SAWATAISHI Jun <jsawa@attglobal.net>
- bug fixed: hostname and uname

* Mon Feb 26 2001 SAWATAISHI Jun <jsawa@attglobal.net>
- bug fixed: tee outputed wrong newline \0xd\x0d

* Sun Feb 25 2001 SAWATAISHI Jun <jsawa@attglobal.net>
- First release of OS/2 port sh-utils 2.0
   * gettext requires UNIXROOT env. var. ; when the var is "x:", 
     "x:/usr/share/locale" is supposed to be a locale directory. 

